summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-03-17 02:43:13 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-03-17 14:11:21 +0300
commit8e8e3f824ef005ede5de7c3d0b5348165f6c8208 (patch)
treec68c4299263b52d1e935cbccca195d650572c370 /mate-extra
parentx11-themes/mate-backgrounds: Version bump (v1.22.0) (diff)
downloadgentoo-8e8e3f824ef005ede5de7c3d0b5348165f6c8208.tar.gz
gentoo-8e8e3f824ef005ede5de7c3d0b5348165f6c8208.tar.bz2
gentoo-8e8e3f824ef005ede5de7c3d0b5348165f6c8208.zip
mate-extra/caja-extensions: Version bump (v1.22.0)
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'mate-extra')
-rw-r--r--mate-extra/caja-extensions/Manifest1
-rw-r--r--mate-extra/caja-extensions/caja-extensions-1.22.0.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/mate-extra/caja-extensions/Manifest b/mate-extra/caja-extensions/Manifest
index 156722abd7f..a84a8d5ec58 100644
--- a/mate-extra/caja-extensions/Manifest
+++ b/mate-extra/caja-extensions/Manifest
@@ -1 +1,2 @@
DIST caja-extensions-1.18.2.tar.xz 410704 BLAKE2B e13dde75bf616463f34d41df0b3be28d283383bd3ef56e24ce6cc0f319f0a7fea1b8dd75076582a78157c076de26f72235fe7b6f445f150547944a072b62038e SHA512 cbc3e6c02cdf93aa98e17232b9cdc9579355e2a31ea9421e6829eb2ba6fe50c7d6ba33b737f1286c9b0730a8781e8c060140ea47b216ef60b0bbaafabc9d836d
+DIST caja-extensions-1.22.0.tar.xz 444704 BLAKE2B d14f14e2ab18e9e6ea9c039d675e2948c309d470b1532e0585915f324bcf52a8e8425fdf0b6e725014e8813eefad77300172843c2118d098811b2b349d218fd1 SHA512 19fd287123b8d2ba67b636066e9f8910aadd47d375eb1d52136d9b808b48abacade81dde490ce3edb6fc4a9d2ddfd39d9abf294a58aed8bcaf620c1eff03e761
diff --git a/mate-extra/caja-extensions/caja-extensions-1.22.0.ebuild b/mate-extra/caja-extensions/caja-extensions-1.22.0.ebuild
new file mode 100644
index 00000000000..88f85a98d2e
--- /dev/null
+++ b/mate-extra/caja-extensions/caja-extensions-1.22.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Several Caja extensions"
+LICENSE="GPL-2"
+SLOT="0"
+
+SENDTO="cdr gajim +mail pidgin upnp"
+IUSE="image-converter +open-terminal share +wallpaper xattr ${SENDTO}"
+
+COMMON_DEPEND=">=dev-libs/glib-2.50:2
+ >=mate-base/caja-1.21.3
+ virtual/libintl
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3.22:3
+ gajim? (
+ >=dev-libs/dbus-glib-0.60
+ >=sys-apps/dbus-1
+ )
+ open-terminal? ( >=mate-base/mate-desktop-1.17.0 )
+ pidgin? ( >=dev-libs/dbus-glib-0.60 )
+ upnp? ( >=net-libs/gupnp-0.13:= )
+ xattr? ( sys-apps/attr )"
+
+RDEPEND="${COMMON_DEPEND}
+ cdr? ( >=app-cdr/brasero-2.32.1:= )
+ gajim? ( net-im/gajim )
+ image-converter? (
+ || (
+ media-gfx/imagemagick
+ media-gfx/graphicsmagick[imagemagick]
+ )
+ )
+ pidgin? ( net-im/pidgin )"
+
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.18:*
+ sys-devel/gettext:*
+ virtual/pkgconfig:*
+ !!mate-extra/mate-file-manager-open-terminal
+ !!mate-extra/mate-file-manager-sendto
+ !!mate-extra/mate-file-manager-image-converter
+ !!mate-extra/mate-file-manager-share"
+
+src_configure() {
+ local sendto_plugins="removable-devices"
+ use cdr && sendto_plugins+=",caja-burn"
+ use mail && sendto_plugins+=",emailclient"
+ use pidgin && sendto_plugins+=",pidgin"
+ use gajim && sendto_plugins+=",gajim"
+ use upnp && sendto_plugins+=",upnp"
+
+ mate_src_configure \
+ --enable-sendto \
+ --with-sendto-plugins=${sendto_plugins}\
+ --disable-gksu \
+ $(use_enable image-converter) \
+ $(use_enable open-terminal) \
+ $(use_enable share) \
+ $(use_enable wallpaper) \
+ $(use_enable xattr xattr-tags)
+}